diff --git a/snf-pithos-app/pithos/api/functions.py b/snf-pithos-app/pithos/api/functions.py
index 5475a27..c27ad1c 100644
--- a/snf-pithos-app/pithos/api/functions.py
+++ b/snf-pithos-app/pithos/api/functions.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -44,9 +44,11 @@ from django.views.decorators.csrf import csrf_exempt
 
 from synnefo.lib.astakos import get_user
 
-from pithos.api.faults import (Fault, NotModified, BadRequest, Unauthorized, Forbidden, ItemNotFound, Conflict,
+from pithos.api.faults import (
+    Fault, NotModified, BadRequest, Unauthorized, Forbidden, ItemNotFound, Conflict,
     LengthRequired, PreconditionFailed, RequestEntityTooLarge, RangeNotSatisfiable, UnprocessableEntity)
-from pithos.api.util import (json_encode_decimal, rename_meta_key, format_header_key, printable_header_dict,
+from pithos.api.util import (
+    json_encode_decimal, rename_meta_key, format_header_key, printable_header_dict,
     get_account_headers, put_account_headers, get_container_headers, put_container_headers, get_object_headers,
     put_object_headers, update_manifest_meta, update_sharing_meta, update_public_meta,
     validate_modification_preconditions, validate_matching_preconditions, split_container_object_string,
@@ -68,17 +70,18 @@ logger = logging.getLogger(__name__)
 @csrf_exempt
 def top_demux(request):
     if request.method == 'GET':
-    	try:
-    		request.GET['X-Auth-Token']
-    	except KeyError:
-    		try:
-    			request.META['HTTP_X_AUTH_TOKEN']
-    		except KeyError:
-    			return authenticate(request)
-    	return account_list(request)
+        try:
+            request.GET['X-Auth-Token']
+        except KeyError:
+            try:
+                request.META['HTTP_X_AUTH_TOKEN']
+            except KeyError:
+                return authenticate(request)
+        return account_list(request)
     else:
         return method_not_allowed(request)
 
+
 @csrf_exempt
 def account_demux(request, v_account):
     if request.method == 'HEAD':
@@ -90,6 +93,7 @@ def account_demux(request, v_account):
     else:
         return method_not_allowed(request)
 
+
 @csrf_exempt
 def container_demux(request, v_account, v_container):
     if request.method == 'HEAD':
@@ -105,6 +109,7 @@ def container_demux(request, v_account, v_container):
     else:
         return method_not_allowed(request)
 
+
 @csrf_exempt
 def object_demux(request, v_account, v_container, v_object):
     # Helper to avoid placing the token in the URL when loading objects from a browser.
@@ -127,41 +132,44 @@ def object_demux(request, v_account, v_container, v_object):
     else:
         return method_not_allowed(request)
 
+
 @api_method('GET', user_required=False)
 def authenticate(request):
     # Normal Response Codes: 204
     # Error Response Codes: internalServerError (500),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     x_auth_user = request.META.get('HTTP_X_AUTH_USER')
     x_auth_key = request.META.get('HTTP_X_AUTH_KEY')
     if not x_auth_user or not x_auth_key:
         raise BadRequest('Missing X-Auth-User or X-Auth-Key header')
     response = HttpResponse(status=204)
-    
+
     uri = request.build_absolute_uri()
     if '?' in uri:
         uri = uri[:uri.find('?')]
-    
+
     response['X-Auth-Token'] = x_auth_key
-    response['X-Storage-Url'] = uri + ('' if uri.endswith('/') else '/') + x_auth_user
+    response['X-Storage-Url'] = uri + ('' if uri.endswith('/')
+                                       else '/') + x_auth_user
     return response
 
+
 @api_method('GET', format_allowed=True)
 def account_list(request):
     # Normal Response Codes: 200, 204
     # Error Response Codes: internalServerError (500),
     #                       badRequest (400)
     response = HttpResponse()
-    
+
     marker = request.GET.get('marker')
     limit = get_int_parameter(request.GET.get('limit'))
     if not limit:
         limit = 10000
-    
+
     accounts = request.backend.list_accounts(request.user_uniq, marker, limit)
-    
+
     if request.serialization == 'text':
         if len(accounts) == 0:
             # The cloudfiles python bindings expect 200 if json/xml.
@@ -170,58 +178,66 @@ def account_list(request):
         response.status_code = 200
         response.content = '\n'.join(accounts) + '\n'
         return response
-    
+
     account_meta = []
     for x in accounts:
         if x == request.user_uniq:
             continue
         try:
-            meta = request.backend.get_account_meta(request.user_uniq, x, 'pithos', include_user_defined=False)
+            meta = request.backend.get_account_meta(
+                request.user_uniq, x, 'pithos', include_user_defined=False)
             groups = request.backend.get_account_groups(request.user_uniq, x)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         else:
             rename_meta_key(meta, 'modified', 'last_modified')
-            rename_meta_key(meta, 'until_timestamp', 'x_account_until_timestamp')
+            rename_meta_key(
+                meta, 'until_timestamp', 'x_account_until_timestamp')
             if groups:
-                meta['X-Account-Group'] = printable_header_dict(dict([(k, ','.join(v)) for k, v in groups.iteritems()]))
+                meta['X-Account-Group'] = printable_header_dict(
+                    dict([(k, ','.join(v)) for k, v in groups.iteritems()]))
             account_meta.append(printable_header_dict(meta))
     if request.serialization == 'xml':
         data = render_to_string('accounts.xml', {'accounts': account_meta})
-    elif request.serialization  == 'json':
+    elif request.serialization == 'json':
         data = json.dumps(account_meta)
     response.status_code = 200
     response.content = data
     return response
 
+
 @api_method('HEAD')
 def account_meta(request, v_account):
     # Normal Response Codes: 204
     # Error Response Codes: internalServerError (500),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
     try:
-        meta = request.backend.get_account_meta(request.user_uniq, v_account, 'pithos', until)
-        groups = request.backend.get_account_groups(request.user_uniq, v_account)
-        policy = request.backend.get_account_policy(request.user_uniq, v_account)
+        meta = request.backend.get_account_meta(
+            request.user_uniq, v_account, 'pithos', until)
+        groups = request.backend.get_account_groups(
+            request.user_uniq, v_account)
+        policy = request.backend.get_account_policy(
+            request.user_uniq, v_account)
     except NotAllowedError:
         raise Forbidden('Not allowed')
-    
+
     validate_modification_preconditions(request, meta)
-    
+
     response = HttpResponse(status=204)
     put_account_headers(response, meta, groups, policy)
     return response
 
+
 @api_method('POST')
 def account_update(request, v_account):
     # Normal Response Codes: 202
     # Error Response Codes: internalServerError (500),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     meta, groups = get_account_headers(request)
     replace = True
     if 'update' in request.GET:
@@ -229,7 +245,7 @@ def account_update(request, v_account):
     if groups:
         try:
             request.backend.update_account_groups(request.user_uniq, v_account,
-                                                    groups, replace)
+                                                  groups, replace)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ValueError:
@@ -242,6 +258,7 @@ def account_update(request, v_account):
             raise Forbidden('Not allowed')
     return HttpResponse(status=202)
 
+
 @api_method('GET', format_allowed=True)
 def container_list(request, v_account):
     # Normal Response Codes: 200, 204
@@ -249,40 +266,44 @@ def container_list(request, v_account):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
     try:
-        meta = request.backend.get_account_meta(request.user_uniq, v_account, 'pithos', until)
-        groups = request.backend.get_account_groups(request.user_uniq, v_account)
-        policy = request.backend.get_account_policy(request.user_uniq, v_account)
+        meta = request.backend.get_account_meta(
+            request.user_uniq, v_account, 'pithos', until)
+        groups = request.backend.get_account_groups(
+            request.user_uniq, v_account)
+        policy = request.backend.get_account_policy(
+            request.user_uniq, v_account)
     except NotAllowedError:
         raise Forbidden('Not allowed')
-    
+
     validate_modification_preconditions(request, meta)
-    
+
     response = HttpResponse()
     put_account_headers(response, meta, groups, policy)
-    
+
     marker = request.GET.get('marker')
     limit = get_int_parameter(request.GET.get('limit'))
     if not limit:
         limit = 10000
-    
+
     shared = False
     if 'shared' in request.GET:
         shared = True
     public = False
     if 'public' in request.GET:
         public = True
-    
+
     try:
-        containers = request.backend.list_containers(request.user_uniq, v_account,
-                                                marker, limit, shared, until, public)
+        containers = request.backend.list_containers(
+            request.user_uniq, v_account,
+            marker, limit, shared, until, public)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except NameError:
         containers = []
-    
+
     if request.serialization == 'text':
         if len(containers) == 0:
             # The cloudfiles python bindings expect 200 if json/xml.
@@ -291,32 +312,37 @@ def container_list(request, v_account):
         response.status_code = 200
         response.content = '\n'.join(containers) + '\n'
         return response
-    
+
     container_meta = []
     for x in containers:
         try:
-            meta = request.backend.get_container_meta(request.user_uniq, v_account,
-                                                        x, 'pithos', until, include_user_defined=False)
+            meta = request.backend.get_container_meta(
+                request.user_uniq, v_account,
+                x, 'pithos', until, include_user_defined=False)
             policy = request.backend.get_container_policy(request.user_uniq,
-                                                            v_account, x)
+                                                          v_account, x)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except NameError:
             pass
         else:
             rename_meta_key(meta, 'modified', 'last_modified')
-            rename_meta_key(meta, 'until_timestamp', 'x_container_until_timestamp')
+            rename_meta_key(
+                meta, 'until_timestamp', 'x_container_until_timestamp')
             if policy:
-                meta['X-Container-Policy'] = printable_header_dict(dict([(k, v) for k, v in policy.iteritems()]))
+                meta['X-Container-Policy'] = printable_header_dict(
+                    dict([(k, v) for k, v in policy.iteritems()]))
             container_meta.append(printable_header_dict(meta))
     if request.serialization == 'xml':
-        data = render_to_string('containers.xml', {'account': v_account, 'containers': container_meta})
-    elif request.serialization  == 'json':
+        data = render_to_string('containers.xml', {'account':
+                                v_account, 'containers': container_meta})
+    elif request.serialization == 'json':
         data = json.dumps(container_meta)
     response.status_code = 200
     response.content = data
     return response
 
+
 @api_method('HEAD')
 def container_meta(request, v_account, v_container):
     # Normal Response Codes: 204
@@ -324,26 +350,28 @@ def container_meta(request, v_account, v_container):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
     try:
         meta = request.backend.get_container_meta(request.user_uniq, v_account,
-                                                    v_container, 'pithos', until)
+                                                  v_container, 'pithos', until)
         meta['object_meta'] = request.backend.list_container_meta(request.user_uniq,
-                                                v_account, v_container, 'pithos', until)
-        policy = request.backend.get_container_policy(request.user_uniq, v_account,
-                                                        v_container)
+                                                                  v_account, v_container, 'pithos', until)
+        policy = request.backend.get_container_policy(
+            request.user_uniq, v_account,
+            v_container)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Container does not exist')
-    
+
     validate_modification_preconditions(request, meta)
-    
+
     response = HttpResponse(status=204)
     put_container_headers(request, response, meta, policy)
     return response
 
+
 @api_method('PUT')
 def container_create(request, v_account, v_container):
     # Normal Response Codes: 201, 202
@@ -351,11 +379,12 @@ def container_create(request, v_account, v_container):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     meta, policy = get_container_headers(request)
-    
+
     try:
-        request.backend.put_container(request.user_uniq, v_account, v_container, policy)
+        request.backend.put_container(
+            request.user_uniq, v_account, v_container, policy)
         ret = 201
     except NotAllowedError:
         raise Forbidden('Not allowed')
@@ -363,11 +392,12 @@ def container_create(request, v_account, v_container):
         raise BadRequest('Invalid policy header')
     except NameError:
         ret = 202
-    
+
     if ret == 202 and policy:
         try:
-            request.backend.update_container_policy(request.user_uniq, v_account,
-                                            v_container, policy, replace=False)
+            request.backend.update_container_policy(
+                request.user_uniq, v_account,
+                v_container, policy, replace=False)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
@@ -377,14 +407,15 @@ def container_create(request, v_account, v_container):
     if meta:
         try:
             request.backend.update_container_meta(request.user_uniq, v_account,
-                                            v_container, 'pithos', meta, replace=False)
+                                                  v_container, 'pithos', meta, replace=False)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Container does not exist')
-    
+
     return HttpResponse(status=ret)
 
+
 @api_method('POST', format_allowed=True)
 def container_update(request, v_account, v_container):
     # Normal Response Codes: 202
@@ -392,15 +423,16 @@ def container_update(request, v_account, v_container):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     meta, policy = get_container_headers(request)
     replace = True
     if 'update' in request.GET:
         replace = False
     if policy:
         try:
-            request.backend.update_container_policy(request.user_uniq, v_account,
-                                                v_container, policy, replace)
+            request.backend.update_container_policy(
+                request.user_uniq, v_account,
+                v_container, policy, replace)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
@@ -410,29 +442,31 @@ def container_update(request, v_account, v_container):
     if meta or replace:
         try:
             request.backend.update_container_meta(request.user_uniq, v_account,
-                                                    v_container, 'pithos', meta, replace)
+                                                  v_container, 'pithos', meta, replace)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Container does not exist')
-    
+
     content_length = -1
     if request.META.get('HTTP_TRANSFER_ENCODING') != 'chunked':
-        content_length = get_int_parameter(request.META.get('CONTENT_LENGTH', 0))
+        content_length = get_int_parameter(
+            request.META.get('CONTENT_LENGTH', 0))
     content_type = request.META.get('CONTENT_TYPE')
     hashmap = []
     if content_type and content_type == 'application/octet-stream' and content_length != 0:
         for data in socket_read_iterator(request, content_length,
-                                            request.backend.block_size):
+                                         request.backend.block_size):
             # TODO: Raise 408 (Request Timeout) if this takes too long.
             # TODO: Raise 499 (Client Disconnect) if a length is defined and we stop before getting this much data.
             hashmap.append(request.backend.put_block(data))
-    
+
     response = HttpResponse(status=202)
     if hashmap:
         response.content = simple_list_response(request, hashmap)
     return response
 
+
 @api_method('DELETE')
 def container_delete(request, v_account, v_container):
     # Normal Response Codes: 204
@@ -441,14 +475,15 @@ def container_delete(request, v_account, v_container):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
-    
+
     delimiter = request.GET.get('delimiter')
-    
+
     try:
-        request.backend.delete_container(request.user_uniq, v_account, v_container,
-                                            until, delimiter=delimiter)
+        request.backend.delete_container(
+            request.user_uniq, v_account, v_container,
+            until, delimiter=delimiter)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
@@ -457,6 +492,7 @@ def container_delete(request, v_account, v_container):
         raise Conflict('Container is not empty')
     return HttpResponse(status=204)
 
+
 @api_method('GET', format_allowed=True)
 def object_list(request, v_account, v_container):
     # Normal Response Codes: 200, 204
@@ -464,77 +500,82 @@ def object_list(request, v_account, v_container):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     until = get_int_parameter(request.GET.get('until'))
     try:
         meta = request.backend.get_container_meta(request.user_uniq, v_account,
-                                                    v_container, 'pithos', until)
+                                                  v_container, 'pithos', until)
         meta['object_meta'] = request.backend.list_container_meta(request.user_uniq,
-                                                v_account, v_container, 'pithos', until)
-        policy = request.backend.get_container_policy(request.user_uniq, v_account,
-                                                        v_container)
+                                                                  v_account, v_container, 'pithos', until)
+        policy = request.backend.get_container_policy(
+            request.user_uniq, v_account,
+            v_container)
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Container does not exist')
-    
+
     validate_modification_preconditions(request, meta)
-    
+
     response = HttpResponse()
     put_container_headers(request, response, meta, policy)
-    
+
     path = request.GET.get('path')
     prefix = request.GET.get('prefix')
     delimiter = request.GET.get('delimiter')
-    
+
     # Path overrides prefix and delimiter.
     virtual = True
     if path:
         prefix = path
         delimiter = '/'
         virtual = False
-    
+
     # Naming policy.
     if prefix and delimiter and not prefix.endswith(delimiter):
         prefix = prefix + delimiter
     if not prefix:
         prefix = ''
     prefix = prefix.lstrip('/')
-    
+
     marker = request.GET.get('marker')
     limit = get_int_parameter(request.GET.get('limit'))
     if not limit:
         limit = 10000
-    
+
     keys = request.GET.get('meta')
     if keys:
-        keys = [smart_str(x.strip()) for x in keys.split(',') if x.strip() != '']
+        keys = [smart_str(x.strip()) for x in keys.split(',')
+                if x.strip() != '']
         included, excluded, opers = parse_filters(keys)
         keys = []
         keys += [format_header_key('X-Object-Meta-' + x) for x in included]
-        keys += ['!'+format_header_key('X-Object-Meta-' + x) for x in excluded]
-        keys += ['%s%s%s' % (format_header_key('X-Object-Meta-' + k), o, v) for k, o, v in opers]
+        keys += ['!' + format_header_key('X-Object-Meta-' + x)
+                 for x in excluded]
+        keys += ['%s%s%s' % (format_header_key(
+            'X-Object-Meta-' + k), o, v) for k, o, v in opers]
     else:
         keys = []
-    
+
     shared = False
     if 'shared' in request.GET:
         shared = True
     public = False
     if 'public' in request.GET:
         public = True
-    
+
     if request.serialization == 'text':
         try:
-            objects = request.backend.list_objects(request.user_uniq, v_account,
-                                        v_container, prefix, delimiter, marker,
-                                        limit, virtual, 'pithos', keys, shared,
-                                        until, None, public)
+            objects = request.backend.list_objects(
+                request.user_uniq, v_account,
+                v_container, prefix, delimiter, marker,
+                limit, virtual, 'pithos', keys, shared,
+                until, None, public)
         except NotAllowedError:
             raise Forbidden('Not allowed')
         except ItemNotExists:
             raise ItemNotFound('Container does not exist')
-        
+
         if len(objects) == 0:
             # The cloudfiles python bindings expect 200 if json/xml.
             response.status_code = 204
@@ -544,33 +585,35 @@ def object_list(request, v_account, v_container):
         return response
 
     try:
-        objects = request.backend.list_object_meta(request.user_uniq, v_account,
-                                    v_container, prefix, delimiter, marker,
-                                    limit, virtual, 'pithos', keys, shared, until, None, public)
+        objects = request.backend.list_object_meta(
+            request.user_uniq, v_account,
+            v_container, prefix, delimiter, marker,
+            limit, virtual, 'pithos', keys, shared, until, None, public)
         object_permissions = {}
         object_public = {}
         if until is None:
             name_idx = len('/'.join((v_account, v_container, '')))
             for x in request.backend.list_object_permissions(request.user_uniq,
-                                    v_account, v_container, prefix):
+                                                             v_account, v_container, prefix):
                 object = x[name_idx:]
                 object_permissions[object] = request.backend.get_object_permissions(
-                                    request.user_uniq, v_account, v_container, object)
+                    request.user_uniq, v_account, v_container, object)
             for k, v in request.backend.list_object_public(request.user_uniq,
-                                    v_account, v_container, prefix).iteritems():
+                                                           v_account, v_container, prefix).iteritems():
                 object_public[k[name_idx:]] = v
     except NotAllowedError:
         raise Forbidden('Not allowed')
     except ItemNotExists:
         raise ItemNotFound('Container does not exist')
-    
+
     object_meta = []
     for meta in objects:
         if len(meta) == 1:
             # Virtual objects/directories.
             object_meta.append(meta)
         else:
-            rename_meta_key(meta, 'hash', 'x_object_hash') # Will be replaced by checksum.
+            rename_meta_key(
+                meta, 'hash', 'x_object_hash')  # Will be replaced by checksum.
             rename_meta_key(meta, 'checksum', 'hash')
             rename_meta_key(meta, 'type', 'content_type')
             rename_meta_key(meta, 'uuid', 'x_object_uuid')
@@ -580,22 +623,26 @@ def object_list(request, v_account, v_container):
                 rename_meta_key(meta, 'modified', 'last_modified')
             rename_meta_key(meta, 'modified_by', 'x_object_modified_by')
             rename_meta_key(meta, 'version', 'x_object_version')
-            rename_meta_key(meta, 'version_timestamp', 'x_object_version_timestamp')
+            rename_meta_key(
+                meta, 'version_timestamp', 'x_object_version_timestamp')
             permissions = object_permissions.get(meta['name'], None)
             if permissions:
-                update_sharing_meta(request, permissions, v_account, v_container, meta['name'], meta)
+                update_sharing_meta(request, permissions, v_account,
+                                    v_container, meta['name'], meta)
             public = object_public.get(meta['name'], None)
             if public:
                 update_public_meta(public, meta)
             object_meta.append(printable_header_dict(meta))
     if request.serialization == 'xml':
-        data = render_to_string('objects.xml', {'container': v_container, 'objects': object_meta})
-    elif request.serialization  == 'json':
+        data = render_to_string(
+            'objects.xml', {'container': v_container, 'objects': object_meta})
+    elif request.serialization == 'json':
         data = json.dumps(object_meta, default=json_encode_decimal)
     response.status_code = 200
     response.content = data
     return response
 
+
 @api_method('HEAD')
 def object_meta(request, v_account, v_container, v_object):
     # Normal Response Codes: 204
@@ -603,16 +650,18 @@ def object_meta(request, v_account, v_container, v_object):
     #                       itemNotFound (404),
     #                       forbidden (403),
     #                       badRequest (400)
-    
+
     version = request.GET.get('version')
     try:
         meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                v_container, v_object, 'pithos', version)
+                                               v_container, v_object, 'pithos', version)
         if version is None:
-            permissions = request.backend.get_object_permissions(request.user_uniq,
-                                            v_account, v_container, v_object)
-            public = request.backend.get_object_public(request.user_uniq, v_account,
-                                                        v_container, v_object)
+            permissions = request.backend.get_object_permissions(
+                request.user_uniq,
+                v_account, v_container, v_object)
+            public = request.backend.get_object_public(
+                request.user_uniq, v_account,
+                v_container, v_object)
         else:
             permissions = None
             public = None
@@ -622,11 +671,12 @@ def object_meta(request, v_account, v_container, v_object):
         raise ItemNotFound('Object does not exist')
     except VersionNotExists:
         raise ItemNotFound('Version does not exist')
-    
+
     update_manifest_meta(request, v_account, meta)
-    update_sharing_meta(request, permissions, v_account, v_container, v_object, meta)
+    update_sharing_meta(
+        request, permissions, v_account, v_container, v_object, meta)
     update_public_meta(public, meta)
-    
+
     # Evaluate conditions.
     validate_modification_preconditions(request, meta)
     try:
@@ -635,11 +685,12 @@ def object_meta(request, v_account, v_container, v_object):
         response = HttpResponse(status=304)
         response['ETag'] = meta['checksum']
         return response
-    
+
     response = HttpResponse(status=200)
     put_object_headers(response, meta)
     return response
 
+
 @api_method('GET', format_allowed=True)
 def object_read(request, v_account, v_container, v_object):
     # Normal Response Codes: 200, 206
